diff --git a/tests/p_postfix/20_postfix_mta.sh b/tests/p_postfix/20_postfix_mta.sh
index 661c91d..4c26cdc 100755
--- a/tests/p_postfix/20_postfix_mta.sh
+++ b/tests/p_postfix/20_postfix_mta.sh
@@ -5,10 +5,10 @@ t_Log "Running $0 - postfix can accept and deliver local email."
 
 # send mail to localhost
 mail=$(echo -e "helo localhost\nmail from: root@localhost\nrcpt to: root@localhost\ndata\nt_functional test\n.\nquit\n" | nc -w 5 localhost 25 | grep queued)
-if [ $? = 0 ]
+MTA_ACCEPT=$?
+if [ $MTA_ACCEPT == 0 ]
   then
   t_Log 'Mail has been queued successfully'
-  MTA_ACCEPT=0
 fi
 
 sleep 1
diff --git a/tests/p_postfix/30_postfix_mta_ehlo.sh b/tests/p_postfix/30_postfix_mta_ehlo.sh
index 0a84eb3..a7f9e85 100755
--- a/tests/p_postfix/30_postfix_mta_ehlo.sh
+++ b/tests/p_postfix/30_postfix_mta_ehlo.sh
@@ -5,10 +5,10 @@ t_Log "Running $0 - postfix can accept and deliver local email using ESMTP."
 
 # send mail to localhost
 mail=$(echo -e "ehlo localhost\nmail from: root@localhost\nrcpt to: root@localhost\ndata\nt_functional test\n.\nquit\n" | nc -w 5 localhost 25 | grep queued)
-if [ $? = 0 ]
+MTA_ACCEPT=$?
+if [ $MTAQ_ACCEPT == 0 ]
   then
   t_Log 'Mail has been queued successfully'
-  MTA_ACCEPT=0
 fi
 
 sleep 1